Package org.jbpm.marshalling.impl

## Class JBPMMessages.ProcessInstance.NodeInstanceContent.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.Builder>
      - - org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.NodeInstanceContent.Builder

- All Implemented Interfaces:
    `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `Cloneable`, `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`
  Enclosing class:
    JBPMMessages.ProcessInstance.NodeInstanceContent

      public static final class JBPMMessages.ProcessInstance.NodeInstanceContent.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.Builder>
      implements JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder

  Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JBPMMessages.ProcessInstance.NodeInstanceContent` | `build()` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent` | `buildPartial()` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `clear()` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `clearAsyncEvent()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.AsyncEventNode async_event = 13;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `clearComposite()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode composite = 11;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `clearEvent()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.EventNode event = 7;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `clearForEach()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode for_each = 12;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `clearHumanTask()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode human_task = 3;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `clearJoin()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode join = 9;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `clearMilestone()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode milestone = 6;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `clearRuleSet()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode rule_set = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `clearState()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode state = 10;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `clearSubProcess()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode sub_process = 5;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `clearTimer()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.TimerNode timer = 8;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `clearType()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceType type = 1;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `clearWorkItem()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode work_item = 4;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `clone()` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode` | `getAsyncEvent()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.AsyncEventNode async_event = 13;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder` | `getAsyncEventBuilder()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.AsyncEventNode async_event = 13;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNodeOrBuilder` | `getAsyncEventOrBuilder()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.AsyncEventNode async_event = 13;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode` | `getComposite()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode composite = 11;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `getCompositeBuilder()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode composite = 11;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder` | `getCompositeOrBuilder()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode composite = 11;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent` | `getDefaultInstanceForType()` |
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.EventNode` | `getEvent()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.EventNode event = 7;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.EventNode.Builder` | `getEventBuilder()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.EventNode event = 7;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.EventNodeOrBuilder` | `getEventOrBuilder()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.EventNode event = 7;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode` | `getForEach()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode for_each = 12;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder` | `getForEachBuilder()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode for_each = 12;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder` | `getForEachOrBuilder()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode for_each = 12;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode` | `getHumanTask()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode human_task = 3;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode.Builder` | `getHumanTaskBuilder()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode human_task = 3;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNodeOrBuilder` | `getHumanTaskOrBuilder()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode human_task = 3;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode` | `getJoin()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode join = 9;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder` | `getJoinBuilder()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode join = 9;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNodeOrBuilder` | `getJoinOrBuilder()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode join = 9;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode` | `getMilestone()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode milestone = 6;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder` | `getMilestoneBuilder()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode milestone = 6;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNodeOrBuilder` | `getMilestoneOrBuilder()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode milestone = 6;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `getRuleSet()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode rule_set = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `getRuleSetBuilder()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode rule_set = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder` | `getRuleSetOrBuilder()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode rule_set = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode` | `getState()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode state = 10;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode.Builder` | `getStateBuilder()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode state = 10;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.StateNodeOrBuilder` | `getStateOrBuilder()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode state = 10;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode` | `getSubProcess()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode sub_process = 5;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder` | `getSubProcessBuilder()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode sub_process = 5;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNodeOrBuilder` | `getSubProcessOrBuilder()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode sub_process = 5;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNode` | `getTimer()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.TimerNode timer = 8;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNode.Builder` | `getTimerBuilder()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.TimerNode timer = 8;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNodeOrBuilder` | `getTimerOrBuilder()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.TimerNode timer = 8;`
    `JBPMMessages.ProcessInstance.NodeInstanceType` | `getType()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceType type = 1;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode` | `getWorkItem()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode work_item = 4;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder` | `getWorkItemBuilder()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode work_item = 4;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNodeOrBuilder` | `getWorkItemOrBuilder()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode work_item = 4;`
    `boolean` | `hasAsyncEvent()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.AsyncEventNode async_event = 13;`
    `boolean` | `hasComposite()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode composite = 11;`
    `boolean` | `hasEvent()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.EventNode event = 7;`
    `boolean` | `hasForEach()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode for_each = 12;`
    `boolean` | `hasHumanTask()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode human_task = 3;`
    `boolean` | `hasJoin()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode join = 9;`
    `boolean` | `hasMilestone()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode milestone = 6;`
    `boolean` | `hasRuleSet()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode rule_set = 2;`
    `boolean` | `hasState()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode state = 10;`
    `boolean` | `hasSubProcess()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode sub_process = 5;`
    `boolean` | `hasTimer()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.TimerNode timer = 8;`
    `boolean` | `hasType()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceType type = 1;`
    `boolean` | `hasWorkItem()` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode work_item = 4;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
    `boolean` | `isInitialized()` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `mergeAsyncEvent​(JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode value)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.AsyncEventNode async_event = 13;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `mergeComposite​(JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode value)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode composite = 11;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `mergeEvent​(JBPMMessages.ProcessInstance.NodeInstanceContent.EventNode value)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.EventNode event = 7;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `mergeForEach​(JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode value)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode for_each = 12;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `mergeFrom​(JBPMMessages.ProcessInstance.NodeInstanceContent other)` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `mergeHumanTask​(JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode value)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode human_task = 3;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `mergeJoin​(JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode value)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode join = 9;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `mergeMilestone​(JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode value)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode milestone = 6;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `mergeRuleSet​(JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode value)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode rule_set = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `mergeState​(JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode value)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode state = 10;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `mergeSubProcess​(JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode value)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode sub_process = 5;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `mergeTimer​(JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNode value)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.TimerNode timer = 8;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `mergeWorkItem​(JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode value)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode work_item = 4;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setAsyncEvent​(JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode value)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.AsyncEventNode async_event = 13;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setAsyncEvent​(JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder builderForValue)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.AsyncEventNode async_event = 13;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setComposite​(JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode value)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode composite = 11;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setComposite​(JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder builderForValue)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode composite = 11;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setEvent​(JBPMMessages.ProcessInstance.NodeInstanceContent.EventNode value)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.EventNode event = 7;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setEvent​(JBPMMessages.ProcessInstance.NodeInstanceContent.EventNode.Builder builderForValue)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.EventNode event = 7;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setForEach​(JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode value)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode for_each = 12;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setForEach​(JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder builderForValue)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode for_each = 12;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setHumanTask​(JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode value)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode human_task = 3;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setHumanTask​(JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode.Builder builderForValue)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode human_task = 3;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setJoin​(JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode value)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode join = 9;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setJoin​(JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder builderForValue)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode join = 9;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setMilestone​(JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode value)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode milestone = 6;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setMilestone​(JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder builderForValue)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode milestone = 6;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setRuleSet​(JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode value)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode rule_set = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setRuleSet​(JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder builderForValue)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode rule_set = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setState​(JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode value)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode state = 10;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setState​(JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode.Builder builderForValue)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode state = 10;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setSubProcess​(JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode value)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode sub_process = 5;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setSubProcess​(JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder builderForValue)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode sub_process = 5;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setTimer​(JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNode value)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.TimerNode timer = 8;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setTimer​(JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNode.Builder builderForValue)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.TimerNode timer = 8;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setType​(JBPMMessages.ProcessInstance.NodeInstanceType value)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceType type = 1;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setWorkItem​(JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode value)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode work_item = 4;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `setWorkItem​(JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder builderForValue)` | `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode work_item = 4;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, clearOneof, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, addAll, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.Builder>`

    - #### clear

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.Builder>`

    - #### clone

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.Builder>`

    - #### getDefaultInstanceForType

          public JBPMMessages.ProcessInstance.NodeInstanceContent getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public JBPMMessages.ProcessInstance.NodeInstanceContent build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public JBPMMessages.ProcessInstance.NodeInstanceContent buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder mergeFrom​(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder mergeFrom​(JBPMMessages.ProcessInstance.NodeInstanceContent other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                             throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.Builder>`
      Throws:
        `IOException`

    - #### hasType

          public boolean hasType()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceType type = 1;`
      Specified by:
        `hasType` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### getType

          public JBPMMessages.ProcessInstance.NodeInstanceType getType()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceType type = 1;`
      Specified by:
        `getType` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### setType

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setType​(JBPMMessages.ProcessInstance.NodeInstanceType value)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceType type = 1;`

    - #### clearType

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder clearType()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceType type = 1;`

    - #### hasRuleSet

          public boolean hasRuleSet()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode rule_set = 2;`
      Specified by:
        `hasRuleSet` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### getRuleSet

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode getRuleSet()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode rule_set = 2;`
      Specified by:
        `getRuleSet` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### setRuleSet

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setRuleSet​(JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode value)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode rule_set = 2;`

    - #### setRuleSet

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setRuleSet​(JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder builderForValue)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode rule_set = 2;`

    - #### mergeRuleSet

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder mergeRuleSet​(JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode value)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode rule_set = 2;`

    - #### clearRuleSet

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder clearRuleSet()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode rule_set = 2;`

    - #### getRuleSetBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder getRuleSetBuilder()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode rule_set = 2;`

    - #### getRuleSetOrBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder getRuleSetOrBuilder()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode rule_set = 2;`
      Specified by:
        `getRuleSetOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### hasHumanTask

          public boolean hasHumanTask()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode human_task = 3;`
      Specified by:
        `hasHumanTask` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### getHumanTask

          public JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode getHumanTask()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode human_task = 3;`
      Specified by:
        `getHumanTask` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### setHumanTask

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setHumanTask​(JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode value)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode human_task = 3;`

    - #### setHumanTask

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setHumanTask​(JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode.Builder builderForValue)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode human_task = 3;`

    - #### mergeHumanTask

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder mergeHumanTask​(JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode value)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode human_task = 3;`

    - #### clearHumanTask

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder clearHumanTask()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode human_task = 3;`

    - #### getHumanTaskBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode.Builder getHumanTaskBuilder()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode human_task = 3;`

    - #### getHumanTaskOrBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNodeOrBuilder getHumanTaskOrBuilder()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode human_task = 3;`
      Specified by:
        `getHumanTaskOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### hasWorkItem

          public boolean hasWorkItem()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode work_item = 4;`
      Specified by:
        `hasWorkItem` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### getWorkItem

          public JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode getWorkItem()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode work_item = 4;`
      Specified by:
        `getWorkItem` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### setWorkItem

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setWorkItem​(JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode value)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode work_item = 4;`

    - #### setWorkItem

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setWorkItem​(JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder builderForValue)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode work_item = 4;`

    - #### mergeWorkItem

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder mergeWorkItem​(JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode value)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode work_item = 4;`

    - #### clearWorkItem

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder clearWorkItem()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode work_item = 4;`

    - #### getWorkItemBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder getWorkItemBuilder()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode work_item = 4;`

    - #### getWorkItemOrBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNodeOrBuilder getWorkItemOrBuilder()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode work_item = 4;`
      Specified by:
        `getWorkItemOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### hasSubProcess

          public boolean hasSubProcess()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode sub_process = 5;`
      Specified by:
        `hasSubProcess` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### getSubProcess

          public JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode getSubProcess()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode sub_process = 5;`
      Specified by:
        `getSubProcess` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### setSubProcess

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setSubProcess​(JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode value)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode sub_process = 5;`

    - #### setSubProcess

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setSubProcess​(JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder builderForValue)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode sub_process = 5;`

    - #### mergeSubProcess

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder mergeSubProcess​(JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode value)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode sub_process = 5;`

    - #### clearSubProcess

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder clearSubProcess()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode sub_process = 5;`

    - #### getSubProcessBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder getSubProcessBuilder()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode sub_process = 5;`

    - #### getSubProcessOrBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNodeOrBuilder getSubProcessOrBuilder()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode sub_process = 5;`
      Specified by:
        `getSubProcessOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### hasMilestone

          public boolean hasMilestone()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode milestone = 6;`
      Specified by:
        `hasMilestone` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### getMilestone

          public JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode getMilestone()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode milestone = 6;`
      Specified by:
        `getMilestone` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### setMilestone

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setMilestone​(JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode value)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode milestone = 6;`

    - #### setMilestone

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setMilestone​(JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder builderForValue)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode milestone = 6;`

    - #### mergeMilestone

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder mergeMilestone​(JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode value)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode milestone = 6;`

    - #### clearMilestone

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder clearMilestone()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode milestone = 6;`

    - #### getMilestoneBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder getMilestoneBuilder()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode milestone = 6;`

    - #### getMilestoneOrBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNodeOrBuilder getMilestoneOrBuilder()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode milestone = 6;`
      Specified by:
        `getMilestoneOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### hasEvent

          public boolean hasEvent()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.EventNode event = 7;`
      Specified by:
        `hasEvent` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### getEvent

          public JBPMMessages.ProcessInstance.NodeInstanceContent.EventNode getEvent()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.EventNode event = 7;`
      Specified by:
        `getEvent` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### setEvent

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setEvent​(JBPMMessages.ProcessInstance.NodeInstanceContent.EventNode value)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.EventNode event = 7;`

    - #### setEvent

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setEvent​(JBPMMessages.ProcessInstance.NodeInstanceContent.EventNode.Builder builderForValue)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.EventNode event = 7;`

    - #### mergeEvent

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder mergeEvent​(JBPMMessages.ProcessInstance.NodeInstanceContent.EventNode value)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.EventNode event = 7;`

    - #### clearEvent

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder clearEvent()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.EventNode event = 7;`

    - #### getEventBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.EventNode.Builder getEventBuilder()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.EventNode event = 7;`

    - #### getEventOrBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.EventNodeOrBuilder getEventOrBuilder()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.EventNode event = 7;`
      Specified by:
        `getEventOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### hasTimer

          public boolean hasTimer()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.TimerNode timer = 8;`
      Specified by:
        `hasTimer` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### getTimer

          public JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNode getTimer()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.TimerNode timer = 8;`
      Specified by:
        `getTimer` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### setTimer

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setTimer​(JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNode value)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.TimerNode timer = 8;`

    - #### setTimer

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setTimer​(JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNode.Builder builderForValue)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.TimerNode timer = 8;`

    - #### mergeTimer

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder mergeTimer​(JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNode value)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.TimerNode timer = 8;`

    - #### clearTimer

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder clearTimer()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.TimerNode timer = 8;`

    - #### getTimerBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNode.Builder getTimerBuilder()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.TimerNode timer = 8;`

    - #### getTimerOrBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNodeOrBuilder getTimerOrBuilder()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.TimerNode timer = 8;`
      Specified by:
        `getTimerOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### hasJoin

          public boolean hasJoin()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode join = 9;`
      Specified by:
        `hasJoin` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### getJoin

          public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode getJoin()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode join = 9;`
      Specified by:
        `getJoin` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### setJoin

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setJoin​(JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode value)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode join = 9;`

    - #### setJoin

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setJoin​(JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder builderForValue)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode join = 9;`

    - #### mergeJoin

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder mergeJoin​(JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode value)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode join = 9;`

    - #### clearJoin

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder clearJoin()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode join = 9;`

    - #### getJoinBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder getJoinBuilder()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode join = 9;`

    - #### getJoinOrBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNodeOrBuilder getJoinOrBuilder()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode join = 9;`
      Specified by:
        `getJoinOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### hasState

          public boolean hasState()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode state = 10;`
      Specified by:
        `hasState` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### getState

          public JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode getState()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode state = 10;`
      Specified by:
        `getState` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### setState

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setState​(JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode value)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode state = 10;`

    - #### setState

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setState​(JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode.Builder builderForValue)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode state = 10;`

    - #### mergeState

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder mergeState​(JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode value)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode state = 10;`

    - #### clearState

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder clearState()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode state = 10;`

    - #### getStateBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode.Builder getStateBuilder()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode state = 10;`

    - #### getStateOrBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.StateNodeOrBuilder getStateOrBuilder()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode state = 10;`
      Specified by:
        `getStateOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### hasComposite

          public boolean hasComposite()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode composite = 11;`
      Specified by:
        `hasComposite` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### getComposite

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode getComposite()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode composite = 11;`
      Specified by:
        `getComposite` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### setComposite

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setComposite​(JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode value)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode composite = 11;`

    - #### setComposite

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setComposite​(JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder builderForValue)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode composite = 11;`

    - #### mergeComposite

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder mergeComposite​(JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode value)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode composite = 11;`

    - #### clearComposite

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder clearComposite()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode composite = 11;`

    - #### getCompositeBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder getCompositeBuilder()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode composite = 11;`

    - #### getCompositeOrBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder getCompositeOrBuilder()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode composite = 11;`
      Specified by:
        `getCompositeOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### hasForEach

          public boolean hasForEach()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode for_each = 12;`
      Specified by:
        `hasForEach` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### getForEach

          public JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode getForEach()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode for_each = 12;`
      Specified by:
        `getForEach` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### setForEach

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setForEach​(JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode value)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode for_each = 12;`

    - #### setForEach

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setForEach​(JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder builderForValue)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode for_each = 12;`

    - #### mergeForEach

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder mergeForEach​(JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode value)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode for_each = 12;`

    - #### clearForEach

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder clearForEach()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode for_each = 12;`

    - #### getForEachBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder getForEachBuilder()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode for_each = 12;`

    - #### getForEachOrBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder getForEachOrBuilder()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode for_each = 12;`
      Specified by:
        `getForEachOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### hasAsyncEvent

          public boolean hasAsyncEvent()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.AsyncEventNode async_event = 13;`
      Specified by:
        `hasAsyncEvent` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### getAsyncEvent

          public JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode getAsyncEvent()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.AsyncEventNode async_event = 13;`
      Specified by:
        `getAsyncEvent` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

    - #### setAsyncEvent

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setAsyncEvent​(JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode value)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.AsyncEventNode async_event = 13;`

    - #### setAsyncEvent

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder setAsyncEvent​(JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder builderForValue)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.AsyncEventNode async_event = 13;`

    - #### mergeAsyncEvent

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder mergeAsyncEvent​(JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode value)

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.AsyncEventNode async_event = 13;`

    - #### clearAsyncEvent

          public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder clearAsyncEvent()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.AsyncEventNode async_event = 13;`

    - #### getAsyncEventBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNode.Builder getAsyncEventBuilder()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.AsyncEventNode async_event = 13;`

    - #### getAsyncEventOrBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.AsyncEventNodeOrBuilder getAsyncEventOrBuilder()

      `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.AsyncEventNode async_event = 13;`
      Specified by:
        `getAsyncEventOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`